Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453903 - Hal doesn't list rfcomm devices
Summary: Hal doesn't list rfcomm devices
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-03 03:19 UTC by Brian G. Anderson
Modified: 2015-10-12 18:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:12:20 UTC


Attachments (Terms of Use)

Description Brian G. Anderson 2008-07-03 03:19:42 UTC
Description of problem:
I've created a /dev/rfcomm to the dial up networking (DUN) on my bluetooth
phone.  It functions fine as a modem device.  However,  the device never shows
up when I do "lshal"

This causes problems when trying to get network manager to see the /dev/rfcomm
device.  I should be able to make a match entry in the proper hal information
FDI file, so as to give it the proper attributes for NM to recognize it. 
However,  the device never seems to be reported by HAL.


Version-Release number of selected component (if applicable):
hal.x86_64                               0.5.11-2.fc9           installed       



How reproducible:
every time

Steps to Reproduce:
1. setup a /dev/rfcomm0 device by makeing the proper entries in
/etc/bluetooth/rfcomm.conf
2. do "lshal" 
3.
  
Actual results:
No rfcomm0 device listed

Expected results:
lshal report properties about /dev/rfcomm0

Additional info:

Comment 1 Scott Glaser 2009-04-10 22:38:57 UTC
Brian,
Are you still running Fedora 9, or have you upgraded to 10 or Rawhide? In
either case, can you let us know whether the issue is still happening, and give
the current version of the HAL packages you're using?


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Bug Zapper 2009-06-10 01:53:49 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 15:12:20 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Brian G. Anderson 2015-10-12 18:29:12 UTC
I am done with Fedora 9


Note You need to log in before you can comment on or make changes to this bug.